XnList::Iterator Class Reference

`#include <XnList.h>`

Inheritance diagram for XnList::Iterator:
[legend]

## Public Member Functions

| Iterator (const Iterator &other)
Iterator & | operator++ ()
Iterator | operator++ (int)
Iterator & | operator-- ()
Iterator | operator-- (int)
XnValue & | operator* () const
Public Member Functions inherited from XnList::ConstIterator
| ConstIterator (const ConstIterator &other)
ConstIterator & | operator++ ()
ConstIterator | operator++ (int)
ConstIterator & | operator-- ()
ConstIterator | operator-- (int)
XnBool | operator== (const ConstIterator &other) const
XnBool | operator!= (const ConstIterator &other) const
const XnValue & | operator* () const
const XnNode * | GetNode () const
XnNode * | GetNode ()

## Protected Member Functions

| Iterator (XnNode *pNode)
Protected Member Functions inherited from XnList::ConstIterator
| ConstIterator (XnNode *pNode)

## Friends

class | XnList

## Additional Inherited Members

Protected Attributes inherited from XnList::ConstIterator
XnNode * | m_pCurrent

## Detailed Description

Iterator to the XnList

## Constructor & Destructor Documentation

## Iterator() [1/2]

XnList::Iterator::Iterator | ( | const Iterator & | other | ) |

inline

Copy constructor

Parameters

  other | [in] instance to copy from

## Iterator() [2/2]

XnList::Iterator::Iterator | ( | XnNode * | pNode | ) |

inline protected

constructor to be used from inside the XnList. It points to the node supplied.

Parameters

  pNode | [in] The XnNode to which to currently point

## Member Function Documentation

## operator*()

XnValue & XnList::Iterator::operator* | ( |  | ) | const

inline

Get the value of the current object

## operator++() [1/2]

Iterator & XnList::Iterator::operator++ | ( |  | ) |

inline

Support ++iterator, go to the next object in the list

## operator++() [2/2]

Iterator XnList::Iterator::operator++ | ( | int |  | ) |

inline

Support iterator++, go to the next object in the list, returning the old value

## operator--() [1/2]

Iterator & XnList::Iterator::operator-- | ( |  | ) |

inline

Support –iterator, go to the next object in the list

## operator--() [2/2]

Iterator XnList::Iterator::operator-- | ( | int |  | ) |

inline

Support iterator–, go to the next object in the list, returning the old value

## Friends And Related Symbol Documentation

## XnList

friend class XnList

friend

The documentation for this class was generated from the following file:

- XnList.h